#include <bits/stdc++.h>
//#define int long long
#define pb push_back
#define mp make_pair
#define pii pair<int,int>
#define all(x) (x).begin(),(x).end()
#define fi first
#define sc second
#define endl "\n"

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);

    int n,q;
    cin >> n >> q;
    //parents = vector<int>(n+1);
    cout << 1 << endl;
}